Upgrades past 2.266, can't log in to Jenkins

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrades past 2.266, can't log in to Jenkins

al...@puredanger.com
I asked about this a couple months ago but did not have time to really dig into it then.

I am currently on Jenkins version 2.265 with the latest version of all plugins (that I can update). When I upgrade to 2.266+ (have tried with latest), the server restarts but my user login no longer works ("Invalid username or password"). If I manually roll back to 2.265, everything works again. I assume this is related to https://github.com/jenkinsci/jep/tree/master/jep/227.

* No warnings or errors in the logs on server startup or when login fails
* The server is up and working normally afaict (public viewable stuff works, it's detecting scm changes, doing builds, etc)
* Using: Jenkin's own user database
* Using: Project-based Matrix Authorization Strategy
* Plugins: I have some plugins installed of course but it's hard for me to imagine what plugin could be affecting logging in. I've looked at the plugin compatibility list for 227 (https://github.com/jenkinsci/jep/blob/master/jep/227/compatibility.adoc) and compared to my plugins but unclear what could be the issue. I use Credentials and Matrix Authorization Strategy plugins but those are marked as compatible. Some plugins I have installed but with unknown compatibility that might possibly be related:
  * Authentication Tokens API Plugin (don't think I'm actually using this)
  * Cloudbees AWS Credentials Plugin
  * Credentials Binding Plugin
  * SSH Credentials Plugin

How do I fix or debug this? It's easy to flip between working and broken states by just swapping wars but I'm not sure how to tell what's not working or how to fix it.

Thanks!

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/b90b3213-d2fa-4a3c-8669-8c80bc70f8can%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

Re: Upgrades past 2.266, can't log in to Jenkins

al...@puredanger.com
Answering my own question, I did an experiment and tried adding a new user (while working) and upgrading and could still log in. Based on that, I updated my user password while working and upgraded, and it worked. So maybe something about how the old passwords were stored/encrypted.

Anyways, that got me over the hump at least.

On Tuesday, March 9, 2021 at 1:28:27 PM UTC-6 [hidden email] wrote:
I asked about this a couple months ago but did not have time to really dig into it then.

I am currently on Jenkins version 2.265 with the latest version of all plugins (that I can update). When I upgrade to 2.266+ (have tried with latest), the server restarts but my user login no longer works ("Invalid username or password"). If I manually roll back to 2.265, everything works again. I assume this is related to https://github.com/jenkinsci/jep/tree/master/jep/227.

* No warnings or errors in the logs on server startup or when login fails
* The server is up and working normally afaict (public viewable stuff works, it's detecting scm changes, doing builds, etc)
* Using: Jenkin's own user database
* Using: Project-based Matrix Authorization Strategy
* Plugins: I have some plugins installed of course but it's hard for me to imagine what plugin could be affecting logging in. I've looked at the plugin compatibility list for 227 (https://github.com/jenkinsci/jep/blob/master/jep/227/compatibility.adoc) and compared to my plugins but unclear what could be the issue. I use Credentials and Matrix Authorization Strategy plugins but those are marked as compatible. Some plugins I have installed but with unknown compatibility that might possibly be related:
  * Authentication Tokens API Plugin (don't think I'm actually using this)
  * Cloudbees AWS Credentials Plugin
  * Credentials Binding Plugin
  * SSH Credentials Plugin

How do I fix or debug this? It's easy to flip between working and broken states by just swapping wars but I'm not sure how to tell what's not working or how to fix it.

Thanks!

--
You received this message because you are subscribed to the Google Groups "Jenkins Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/jenkinsci-users/13f284ec-c49d-4d6e-94b8-caaa16a1b795n%40googlegroups.com.